using Indotalent.ConfigBackEnd.Extensions;
using Indotalent.Features.Root.Home.Cqrs;
using MediatR;
using Microsoft.AspNetCore.Authentication.JwtBearer;

namespace Indotalent.Features.Root.Home;

public static class HomeEndpoint
{
    public static void MapHomeEndpoints(this IEndpointRouteBuilder app)
    {
        var group = app.MapGroup("/dashboard").WithTags("Dashboard")
            .RequireAuthorization(policy => policy.AddAuthenticationSchemes(JwtBearerDefaults.AuthenticationScheme)
            .RequireAuthenticatedUser());

        group.MapGet("/crm-stats", async (IMediator mediator) =>
        {
            var result = await mediator.Send(new GetCrmDashboardQuery());
            return result.ToApiResponse("CRM Dashboard data retrieved successfully");
        })
        .WithName("GetCrmDashboardStats");
    }
}